SET GLOBAL log_bin_trust_function_creators=1; 
SET FOREIGN_KEY_CHECKS = 0;


-- ----------------------------
-- Procedure structure for sql0124_process_list_van_icode
-- ----------------------------
DROP PROCEDURE IF EXISTS `sql0124_process_list_van_icode`;
delimiter ;;
CREATE PROCEDURE `sql0124_process_list_van_icode`()
BEGIN

DECLARE done INT DEFAULT 0; 
DECLARE id VARCHAR(10); 
DECLARE sqlprocess LONGTEXT; 
DECLARE CUR_TEST CURSOR FOR SELECT 
															vstdate
														FROM
															s_report_hosxp_opitemerance_temp
														WHERE vstdate is not null or vstdate<>''
														GROUP BY vstdate
														ORDER BY vstdate ASC;
														 
DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = 1;

RESET QUERY CACHE;
 
 
SET autocommit=0; 
SET unique_checks=0; 
SET foreign_key_checks=0;

 
DROP TABLE IF EXISTS s_report_hosxp_opitemerance_temp_van_icode;
CREATE TABLE `s_report_hosxp_opitemerance_temp_van_icode` (
  `vn_an` varchar(50) NOT NULL,
  `icode_chk` varchar(50) NOT NULL,
  `pttype_chk` varchar(50) NOT NULL ,
	 `sum_price` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

 
 
OPEN CUR_TEST;
sql_loop: LOOP
		FETCH CUR_TEST INTO id;
        IF done = 1 THEN
            LEAVE sql_loop;
        END IF; 
				
					SET @stmt := CONCAT('/*',id,'*/
INSERT INTO s_report_hosxp_opitemerance_temp_van_icode (vn_an,icode_chk,pttype_chk,sum_price)
SELECT
	a.vn_an,
	a.icode_chk ,
	a.pttype_chk,
	sum(a.sum_price)
FROM
	s_report_hosxp_opitemerance_temp a 
WHERE a.vstdate="',id,'"
GROUP BY 	a.vn_an,
	a.icode_chk 
') ;	
					PREPARE stmt FROM @stmt;
					EXECUTE stmt ;	
			 
			 
			
END loop;
CLOSE CUR_TEST;

 ALTER  TABLE s_report_hosxp_opitemerance_temp_van_icode  
  ADD KEY `idx_vn_an` (`vn_an`) USING BTREE,
  ADD KEY  `idx_icode_chk` (`icode_chk`) USING BTREE,
  ADD KEY  `idx_pttype_chk` (`pttype_chk`) USING BTREE; 
 
SET autocommit=1; 
SET unique_checks=1; 
SET foreign_key_checks=1;
 

END
;;
delimiter ;
-- ----------------------------
-- Procedure structure for sql0129_process_update_claim_other_main
-- ----------------------------
DROP PROCEDURE IF EXISTS `sql0129_process_update_claim_other_main`;
delimiter ;;
CREATE PROCEDURE `sql0129_process_update_claim_other_main`()
BEGIN
 
UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET hmain_chk=0
where hmain_chk is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET hsub_chk=0
where hsub_chk is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET key_chk=0
where key_chk is null;


UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET pttype_chk=0
where pttype_chk is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET spclty_chk=0
where spclty_chk is null;


UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET ipd_rate_adjrw_chk=0
where ipd_rate_adjrw_chk is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET opd_limit_rate_chk=0
where opd_limit_rate_chk is null;
 
UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET hmain_chk_inchw_moph=0
where hmain_chk_inchw_moph is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET hmain_chk_outchw_moph=0
where hmain_chk_outchw_moph is null;

UPDATE `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET hmain_chk_outmoph=0
where hmain_chk_outmoph is null;

UPDATE  `singhanakorn_map_deb_main_hosxp_pttype_sub` 
SET
deb_std_code_use=deb_std_code
 WHERE deb_std_code_use is null or deb_std_code_use='';


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'  
	and b.hmain_chk='1'   
	and b.hsub_chk='0' 
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'  
	and b.hmain_chk='1'   
	and b.hsub_chk='1' 
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;






UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1' 
	and b.hsub_chk='0' 
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1' 
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0' 
	and b.hsub_chk='0' 
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL   ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


 
UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;



UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')   
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='0'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL   ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='0'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;








UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='0'  
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0'  
	and b.spclty_chk='0'  
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'    
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1' 
	and b.hsub_chk='1' 
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1' 
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0' 
	and b.hsub_chk='1' 
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL   ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='0'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


 
UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;



UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1'  
	and b.spclty_chk='1'  
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0'  
	and b.spclty_chk='1'  
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='1' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.pttype_list LIKE concat('%[',a.pttype,']%')  
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;


UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%')  
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an	
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1' 
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='0'  
	and b.hsub_chk='1'
	AND b.key_chk='1' 
	AND b.deb_std_code=a.deb_std_code_approv  
	AND v.cc LIKE concat('%',b.key_list,'%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL   ;


UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='1' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%') 
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%') 
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='1'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('11','12') )  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL  ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='1' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%')
	AND (SELECT group_concat('[',hospcode,']') FROM sys_hospcode WHERE hospital_type_id in ('5','6','7') and chwpart<>( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="CHWCODE"))  LIKE concat('%[',a.main_hosp,']%')
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;

UPDATE
	s_report_claim_other_main a 
	LEFT OUTER JOIN s_report_hosxp_opd_vital_sign v on v.vn_an=a.vn_an 
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON b.status='1'
	AND b.hmain_chk_inchw_moph='0' 
	AND b.hmain_chk_outchw_moph='0' 
	AND b.hmain_chk_outmoph='0'
	and b.pttype_chk='0' 
	and b.spclty_chk='1'   
	and b.hmain_chk='1'  
	and b.hsub_chk='1'
	AND b.key_chk='0' 
	AND b.deb_std_code=a.deb_std_code_approv 
	AND b.hmain_list  LIKE concat('%[',a.main_hosp,']%') 
	AND b.spclty_list LIKE concat('%[',v.spclty,']%')  
	AND b.hsub_list  LIKE concat('%[',a.sub_hosp,']%')
SET
	a.deb_std_code_sub =  b.deb_std_code_sub  
WHERE  b.deb_std_code_sub IS NOT NULL ;




UPDATE s_report_claim_other_main a 
INNER JOIN s_report_hosxp_web_section b ON b.vn_an = a.vn_an and a.deb_pttype_approv=b.deb_pttype_approv AND (b.claim_program<>'ECLAIM' or b.eclaim_edit_note='rabie_cpdg_key_eclaim')
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub s on s.deb_std_code=a.deb_std_code_approv and s.deb_std_code_sub=a.deb_std_code_sub
SET
a.claim_other_ipd_adjrw=b.adjrw,
a.claim_other_ipd_adjrw_rate=IF(s.ipd_rate_adjrw_chk=1,s.ipd_rate_adjrw,NULL),
a.claim_other_ipd_money=IF(s.ipd_rate_adjrw_chk=1,ROUND((b.adjrw*s.ipd_rate_adjrw),2),IF(s.oi_limit_percen_chk=1 and a.deb_type='IPD',ROUND(((b.uc_money*(IF(s.oi_limit_percen_chk=1,s.oi_limit_percen,'100')))/100),2),b.uc_money)), 
a.claim_other_opd_limit_rate=IF(s.opd_limit_rate_chk=1,s.opd_limit_rate,NULL),
a.claim_other_opd_limit_rate_claim=IF(s.opd_limit_rate_chk=1,IF(b.uc_money>=s.opd_limit_rate,s.opd_limit_rate,b.uc_money),IF(s.oi_limit_percen_chk=1 and a.deb_type='OPD',ROUND(((b.uc_money*(IF(s.oi_limit_percen_chk=1,s.oi_limit_percen,'100')))/100),2),b.uc_money)), 
a.claim_other_opd_oi_percen_rate=IF(s.oi_limit_percen_chk=1,s.oi_limit_percen,'100'),
a.claim_other_opd_oi_percen_rate_claim=IF(s.oi_limit_percen_chk=1,ROUND(((b.uc_money*(IF(s.oi_limit_percen_chk=1,s.oi_limit_percen,'100')))/100),2), b.uc_money);
 

UPDATE s_report_hosxp_web_section a   
INNER JOIN s_report_claim_other_main b ON b.vn_an = a.vn_an  and a.deb_id_approv=b.deb_id_approv
SET
a.claim_other_money_send= IF(a.deb_type='OPD',b.claim_other_opd_limit_rate_claim ,b.claim_other_ipd_money) 
WHERE a.claim_other_send='1'  ;

IF ( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="FUND_SEPARATE_UC_OC")='N' THEN


UPDATE `s_report_claim_other_main` a
INNER JOIN s_report_hosxp_web_section b on  a.vn_an = b.vn_an and a.deb_pttype_approv=b.deb_pttype_approv AND b.eclaim_edit_note='rabie_cpdg_key_eclaim'
SET a.vn_an=concat('-DEL-',a.vn_an),a.deb_id_approv='0',a.deb_pttype_approv=concat('-DEL-',a.deb_pttype_approv),a.deb_std_code_approv=concat('-DEL-',a.deb_std_code_approv),
b.vn_an=concat('-DEL-',b.vn_an),b.deb_id_approv='0',b.deb_pttype_approv=concat('-DEL-',b.deb_pttype_approv),b.deb_std_code_approv=concat('-DEL-',a.deb_std_code_approv)
WHERE a.claim_other_send_not='1' AND a.deb_pttype_approv='UC-OC' and 'N'=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="FUND_SEPARATE_UC_OC") AND b.eclaim_edit_note='rabie_cpdg_key_eclaim' ;

END IF;

IF ( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="FUND_SEPARATE_UC_OC")='Y' THEN

UPDATE `s_report_claim_other_main` a
INNER JOIN s_report_hosxp_web_section b on  a.vn_an = b.vn_an and a.deb_pttype_approv=b.deb_pttype_approv AND b.eclaim_edit_note='rabie_cpdg_key_eclaim'
SET a.vn_an=REPLACE(a.vn_an,'-DEL-',''),a.deb_id_approv='3' ,a.deb_pttype_approv=REPLACE(a.deb_pttype_approv,'-DEL-','') ,a.deb_std_code_approv=REPLACE(a.deb_std_code_approv,'-DEL-','') ,
b.vn_an=REPLACE(b.vn_an,'-DEL-',''),b.deb_id_approv='3' ,b.deb_pttype_approv=REPLACE(b.deb_pttype_approv,'-DEL-','') ,b.deb_std_code_approv=REPLACE(b.deb_std_code_approv,'-DEL-','')
WHERE a.claim_other_send_not='1' AND a.deb_pttype_approv='-DEL-UC-OC' and  'Y'=( SELECT  sys_values FROM sys_ehos_setting WHERE sys_name="FUND_SEPARATE_UC_OC") AND b.eclaim_edit_note='rabie_cpdg_key_eclaim' ;

END IF;



UPDATE
	s_report_claim_other_main a   
INNER JOIN singhanakorn_map_deb_main_hosxp_pttype_sub b ON a.deb_std_code_sub =  b.deb_std_code_sub  and a.deb_std_code_approv =  b.deb_std_code 
LEFT JOIN  singhanakorn_map_deb_main c on c.deb_type=a.deb_type  and c.deb_std_code=b.deb_std_code_use
SET
deb_id_approv = c.id, 
deb_name_approv = c.deb_name,
deb_pttype_approv = c.deb_pttype,
deb_std_code_approv = c.deb_std_code  
WHERE a.claim_other_send=0 ;



UPDATE s_report_hosxp_web_section a
LEFT OUTER JOIN singhanakorn_map_deb_main b ON b.id = a.deb_id_approv
LEFT OUTER JOIN singhanakorn_map_deb_main_hosxp_pttype c on c.hosxp_pttype=a.pttype
SET a.claim_program = CASE
WHEN a.eclaim_no <>'-'  THEN 	'ECLAIM' 
WHEN a.type='OPD' AND a.deb_id_approv in ('3','58') THEN 	'เอกสารเรียกเก็บ'
WHEN a.type='OPD' and b.csmbs = 'Y' and c.ssn_opd='Y'   THEN 	'ส่งเบิก-สกส.' 
WHEN a.type='IPD' and b.csmbs = 'Y' and c.sip09_ipd='Y' THEN 	'ส่งเบิก-สกส.' 
WHEN b.deb_pttype = 'PAY-BKK' THEN 	'ส่งเบิก-สกส. กรณี รพ.เข้าร่วมโครงการ'
WHEN a.type='IPD' and c.eclaim_ipd='Y' THEN 	'ECLAIM'
WHEN a.type='OPD' and c.eclaim_opd='Y' THEN 	'ECLAIM'
WHEN a.type='OPD' and b.ssn = 'Y' and c.ssn_opd='Y' THEN 		'ส่งเบิก-สกส.' 
WHEN a.type='IPD' and b.ssn = 'Y' and c.sip09_ipd='Y'  THEN 		'ส่งเบิก-สกส.' 
WHEN b.manual = 'Y' and c.clound_global='Y'  THEN 	'เอกสารเรียกเก็บ'
WHEN b.manual = 'Y' and c.other='Y' THEN 	'เอกสารเรียกเก็บ'
WHEN b.www = 'Y' or c.other='Y'  THEN 	'Keyผ่านเวบ'
WHEN c.clound_global = 'Y' THEN 	'CloudClaim+เอกสาร'
WHEN a.deb_id_approv in ('63','47') THEN 	'เอกสารเรียกเก็บ'
WHEN c.other = 'Y' THEN 	'อื่นๆ'
ELSE 	'-' END  ,
a.deb_id_approv = IF( a.deb_id in ('96','97'),'71',a.deb_id_approv),
a.deb_std_code_approv = IF( a.deb_id in ('96','97'),'1102050101.704',a.deb_std_code_approv),
a.deb_name_approv = IF( a.deb_id in ('96','97'),'ลูกหนี้ค่ารักษา-บุคคลที่มีปัญหาสถานะและสิทธิ-เบิกจากส่วนกลาง-IP',a.deb_name_approv),
a.deb_pttype_approv =IF( a.deb_id in ('96','97'),'UC-PPB-NHSO',a.deb_pttype_approv) ;
 
	
	
UPDATE s_report_hosxp_web_section 
SET report_view = 'Y' 
WHERE
claim_program = 'ECLAIM' 
AND ( wait_to_key_eclaim='Y') ;



UPDATE s_report_hosxp_web_section a,
 s_report_claim_other_main b
SET a.not_add_to_claim = b.not_add_to_claim,
a.claim_other_send_date=b.claim_other_send_date,
a.claim_other_send_date_www=b.claim_other_send_date_www,
 a.claim_other_send = b.claim_other_send,
 a.claim_other_send_not = b.claim_other_send_not,
 a.claim_other_money_send = b.claim_other_money_send,
 a.claim_other_money_send_not = b.claim_other_money_send_not,
a.wait_to_send_claim= IF(b.claim_other_send=1,'N','Y')     ,
a.hosp_tranfer_status= b.hosp_tranfer_status        ,
a.hosp_tranfer_status_money= b.hosp_tranfer_status_money ,
a.hosp_tranfer_status_date=b.hosp_tranfer_status_date,
a.hosp_tranfer_status_date_www_cal=b.hosp_tranfer_status_date_www_cal,
a.hosp_tranfer_status_finance_book_no=b.hosp_tranfer_status_finance_book_no

WHERE
	a.vn_an = b.vn_an AND a.claim_program<>'ECLAIM' ;


END
;;
delimiter ;

-- ----------------------------
-- Procedure structure for sql0130_process_fund_sub_list_vnan_sub
-- ----------------------------
DROP PROCEDURE IF EXISTS `sql0130_process_fund_sub_list_vnan_sub`;
delimiter ;;
CREATE PROCEDURE `sql0130_process_fund_sub_list_vnan_sub`(ty VARCHAR(4),tyi VARCHAR(1),mscl VARCHAR(5),fid VARCHAR(5),k_a LONGTEXT,k_b LONGTEXT,dxt LONGTEXT,dxv VARCHAR(2),fidS VARCHAR(10),fidE VARCHAR(10))
BEGIN

DECLARE done INT DEFAULT 0; 
DECLARE id VARCHAR(10); 
DECLARE sqlprocess LONGTEXT; 
DECLARE CUR_TEST CURSOR FOR SELECT 
															date_www_cal
														FROM
															s_report_hosxp_web_section
														GROUP BY date_www_cal
														ORDER BY date_www_cal ASC;
														 
DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = 1;
 
 SET autocommit=1; 

DELETE FROM sys_module_menu_sub_fund_vnan WHERE fund_sub_id=fid;
 
OPEN CUR_TEST;
sql_loop: LOOP
		FETCH CUR_TEST INTO id;
        IF done = 1 THEN
            LEAVE sql_loop;
        END IF; 
				
				
				
				
					SET @stmt := CONCAT('/*"',fid,'"="',id,'"*/
INSERT IGNORE INTO sys_module_menu_sub_fund_vnan (type,type_import,maininscl,vn_an,fund_sub_id,pttype,deb_id_approv, fee_schedule_setting_price, deb_std_code_sub_price,date_www_cal)
SELECT DISTINCT
	cc.type,
	cc.type_import,
  cc.maininscl,
  cc.vn_an,
  cc.fund_sub_id ,
	cc.pttype,
	cc.deb_id_approv, 
  cc.fee_schedule_setting_price,
  cc.deb_std_code_sub_price,
	cc.date_www_cal

FROM(
/*จาก ผังย่อย*/
 SELECT DISTINCT
	IF("',ty,'"="ODS","IPD","',ty,'") as type,
	IF("',ty,'"="ODS","I","',tyi,'") as type_import,
  "',mscl,'" as maininscl,
   w.vn_an,
  "',fid,'" as fund_sub_id ,
	 w.pttype ,
	 w.deb_id_approv , 
  "0" as fee_schedule_setting_price,
   w.income as deb_std_code_sub_price	,
	 w.date_www_cal
FROM
    s_report_hosxp_web_section w 
		LEFT JOIN s_report_hosxp_ipt i on i.an=w.vn_an and w.type="IPD"
		LEFT JOIN singhanakorn_map_deb_main_hosxp_pttype y on y.hosxp_pttype=w.pttype
		LEFT JOIN s_report_hosxp_patient_pid p on p.hn=w.hn
  INNER JOIN sys_module_menu_sub_fund f on f.fund_sub_id="',fid,'" and f.`status`="Y" and f.deb_std_code_chk="Y" and f.deb_std_code_sub LIKE concat( "%[",w.deb_std_code_approv,"-", w.deb_std_code_sub,"]%")   
 
WHERE w.date_www_cal="',id,'" and w.date_www_cal between "',fidS,'" and "',fidE,'" and
		 ',k_a,' 
		 w.type=IF("',ty,'"="ODS","OPD","',ty,'")
 
UNION ALL
/*จาก ผตั้งค่าแมพ*/
SELECT DISTINCT
	IF("',ty,'"="ODS","IPD","',ty,'") as type,
	IF("',ty,'"="ODS","I","',tyi,'") as type_import,
  "',mscl,'" as maininscl,
   w.vn_an,
  "',fid,'" as fund_sub_id ,
	 w.pttype  ,
	 w.deb_id_approv , 
   SUM(o.sum_price) as fee_schedule_setting_price,
  "0" as deb_std_code_sub_price	,
	w.date_www_cal
FROM
    s_report_hosxp_web_section w
		LEFT JOIN s_report_hosxp_patient_pid p on p.hn=w.hn	
	LEFT JOIN s_report_hosxp_ipt i on i.an=w.vn_an and w.type="IPD"
	LEFT JOIN singhanakorn_map_deb_main_hosxp_pttype y on y.hosxp_pttype=w.pttype	
	INNER JOIN  s_report_hosxp_opitemerance_temp_van_icode o on o.vn_an=w.vn_an 	 
	INNER JOIN sys_fee_schedule_map_nondrugitems_approv cl on cl.fund_sub_id="',fid,'" and (cl.icode_list LIKE o.icode_chk)  
	LEFT JOIN sys_fee_schedule_map_nondrugitems cm on cm.fs_project_code="E00221" and cm.fund_sub_id="',fid,'" and (cm.icode LIKE o.icode_chk)  /* E00221 = ODS */
  LEFT JOIN ',dxt,' x on x.',dxv,'=w.vn_an 
  LEFT JOIN sys_icd101 ca on ca.CODE=x.icd10 and x.diagtype="1"		
 
WHERE   w.date_www_cal="',id,'" and w.date_www_cal between "',fidS,'" and "',fidE,'" and
     (SELECT `status` FROM `sys_module_menu_sub_fund`  WHERE  fund_sub_id="',fid,'") ="Y" and  
     (SELECT fee_schedule_setting_chk FROM `sys_module_menu_sub_fund`  WHERE  fund_sub_id="',fid,'") ="Y" and 
		  ',k_b,' 
		  w.type=IF("',ty,'"="ODS","OPD","',ty,'") and  
			CASE WHEN "',ty,'"="ODS" THEN cm.icode is not null ELSE TRUE END and
	    ( CASE
			WHEN cl.chk_pttype="Y" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk )
			ELSE  TRUE END  
		  )
      and 
	   ( CASE
			WHEN cl.chk_icd10="Y" THEN ( cl.chk_icd10_list LIKE  x.icd10_list ) 
			ELSE  TRUE  END   
	   )   
		GROUP BY  IF("',ty,'"="ODS","IPD","',ty,'"), 
  "',mscl,'" ,
   w.vn_an,
  "',fid,'" ,
	 w.pttype  ,
	 w.deb_id_approv
	    
) as cc		 ; ') ;	
					PREPARE stmt FROM @stmt;
					EXECUTE stmt ;	
			 
FLUSH QUERY CACHE;		 
			
END loop;
CLOSE CUR_TEST;


IF fid='125' THEN


UPDATE sys_module_menu_sub_fund_vnan a,
 s_report_claim_other_main b
SET  
b.deb_id_approv = '48', 
b.deb_pttype_approv = 'PAY-SSS-OC-HCAE', 
b.deb_std_code_approv = '1102050101.309', 
b.deb_name_approv = 'ลูกหนี้ค่ารักษา-ประกันสังคม-ค่าใช้จ่ายสูง-อุบัติเหตุ-ฉุกเฉิน-OP'

WHERE 
 a.vn_an = b.vn_an
 AND a.type = 'OPD'
AND b.type = 'OPD' 
AND a.fund_sub_id='125'
AND b.deb_std_code_approv != '1102050101.309' ;

UPDATE sys_module_menu_sub_fund_vnan a,
s_report_hosxp_web_section b 
SET  
b.deb_id_approv = '48', 
b.deb_pttype_approv = 'PAY-SSS-OC-HCAE', 
b.deb_std_code_approv = '1102050101.309', 
b.deb_name_approv = 'ลูกหนี้ค่ารักษา-ประกันสังคม-ค่าใช้จ่ายสูง-อุบัติเหตุ-ฉุกเฉิน-OP'

WHERE 
 a.vn_an = b.vn_an
 AND a.type = 'OPD'
AND b.type = 'OPD' 
AND a.fund_sub_id='125'
AND b.deb_std_code_approv != '1102050101.309' ;

 

END IF;

END
;;
delimiter ;


UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=21 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(\"1\" as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\"\" or cl.price=0,o.unitprice,cl.price) ) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 21;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=22 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(\"1\" as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\"\" or cl.price=0,o.unitprice,cl.price) ) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE \r\n' WHERE `fund_sub_id` = 22;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=29 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\nsum(cc.QTY),\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(1 as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price)*1) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 29;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=152 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(1 as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price)*1) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 152;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=155 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\nsum(cc.QTY),\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\n1 as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(1 as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price)*1) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 155;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=160 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(1 as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price)*o.qty) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 160;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=160 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(1 as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price)) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 162;
UPDATE  `sys_module_menu_sub_fund` SET `eclaim_16_dru` = 'N', `eclaim_adp_sql` = '/*@fid@ ADP==> @datewww@ For fid=160 */\r\nINSERT IGNORE INTO s_sys_eclaim_adp (\r\nfund_sub_id, \r\nvn_an,\r\nio, \r\nHN, \r\nAN, \r\nDATEOPD,\r\nTYPE,\r\nCODE,\r\nQTY,\r\nRATE,\r\nSEQ,\r\nCAGCODE,\r\nDOSE,\r\nCA_TYPE,\r\nSERIALNO,\r\nTOTCOPAY,\r\nUSE_STATUS,\r\nTOTAL,\r\nQTYDAY,\r\nTMLTCODE,\r\nSTATUS1,\r\nBI,\r\nCLINIC,\r\nITEMSRC,\r\nPROVIDER,\r\nGRAVIDA,\r\nGA_WEEK, \r\nLMP  )\r\nSELECT  DISTINCT  \r\ncc.fund_sub_id, \r\ncc.vn_an,\r\ncc.oi, \r\ncc.HN, \r\ncc.AN, \r\ncc.DATEOPD,\r\n \r\ncc.TYPE,\r\ncc.CODE,\r\n1,\r\ncc.RATE,\r\ncc.SEQ,\r\ncc.CAGCODE,\r\ncc.DOSE,\r\ncc.CA_TYPE,\r\ncc.SERIALNO,\r\ncc.TOTCOPAY,\r\ncc.USE_STATUS,\r\nsum(TOTAL) as TOTAL,\r\ncc.QTYDAY,\r\ncc.TMLTCODE,\r\ncc.STATUS1,\r\ncc.BI,\r\ncc.CLINIC,\r\ncc.ITEMSRC,\r\ncc.PROVIDER,\r\ncc.GRAVIDA,\r\ncc.GA_WEEK, \r\ncc.LMP \r\nFROM (\r\nSELECT  DISTINCT  \r\nf.fund_sub_id, \r\nfn.vn_an,\r\nfn.type_import as oi, \r\nCAST(w.hn as CHAR(15) ) as HN, \r\nCAST(IF(f_tyi=\"I\",w.vn_an,\"\") as CHAR(15) ) as AN, \r\nDATE_FORMAT(o.rxdate,\"%Y%m%d\") as DATEOPD,\r\n \r\nCAST(cl.fs_project_adp_type as CHAR(2) ) as TYPE,\r\nCAST(cl.fs_project_adp as CHAR(30) ) as CODE,\r\nCAST(\"1\" as CHAR(4) ) as QTY,\r\nCAST(IF(cl.price is null or cl.price =\'\' or cl.price=0,o.unitprice,cl.price) as DECIMAL(12,2) ) as RATE,\r\nCAST(w.vn_an as CHAR(15) ) as SEQ,\r\nCAST(IF(w.main_inscl in (\"UCS\",\"SSS\") and o.eclaim_adp_type=7 ,ca.protocal,\"\") as CHAR(10) ) as CAGCODE,\r\n\"\" as DOSE,\r\nCAST( IF(w.main_inscl in ( \"SSS\") and( ca.protocal is not null or ca.protocal<>\"\"),\"V\",\"\") as CHAR(10) ) as CA_TYPE,\r\n\"\" as SERIALNO,\r\nCAST(IF(o.paidst in (\"01\",\"03\"),(o.unitprice*o.qty),0) as DECIMAL(12,2) ) as TOTCOPAY,\r\nCAST(IF(w.main_inscl in (\"OFC\",\"LGO\") and o.eclaim_adp_type=\"11\"   ,\"1\",\"\") as CHAR(10) ) as USE_STATUS,\r\nCAST((IF(cl.price is null or cl.price =\"\" or cl.price=0,o.unitprice,cl.price) ) as DECIMAL(12,2) ) as TOTAL,\r\n\"\" as QTYDAY,\r\nCAST(o.eclaim_tmt_code as CHAR(15) ) as TMLTCODE,\r\nCAST(CASE WHEN w.covid_lab_pcr_rs=\"P\" or w.covid_lab_antigen_rs=\"P\" THEN 1 ELSE 0 END as CHAR(1) ) as STATUS1,\r\n\"\" as BI,\r\nCAST(CONCAT( \r\nIF(fn.type_import=\"O\",\"0\",\"1\"),\r\nIF(sc.ssop is not null,sc.ssop,\"99\"),\r\n\"00\") as CHAR(5) ) as CLINIC,\r\nCAST(IF(o.sks_bill_code is not null or o.eclaim_adp_code is not null,\"1\",\"\") as CHAR(15) ) as ITEMSRC,\r\nCAST(concat(LEFT(doctor_license_show, 1 ),\".\",mid( doctor_license_show, 2, 15 )) AS CHAR(15))  as PROVIDER,\r\nCAST(s.anc_preg_no as CHAR(2) ) as GRAVIDA,\r\nCAST(s.anc_pa_week as CHAR(2) ) as GA_WEEK,\r\n\"\" as DCIPE_screen,\r\nDATE_FORMAT(s.anc_lmp,\"%Y%m%d\") as LMP   \r\n \r\n \r\nFROM  sys_module_menu_sub_fund f \r\nINNER JOIN sys_module_menu_sub_fund_vnan fn on fn.fund_sub_id=f.fund_sub_id \r\nLEFT JOIN s_report_hosxp_web_section w on w.vn_an=fn.vn_an\r\nINNER JOIN s_report_hosxp_opitemerance_temp o on o.vn_an = fn.vn_an \r\nLEFT JOIN sys_nhso_drugcatalog_use dr on dr.HOSPDRUGCODE=o.icode\r\nLEFT JOIN sys_fee_schedule_map_nondrugitems  cl on cl.fund_sub_id=f.fund_sub_id  and (cl.icode LIKE o.icode_chk)  \r\nLEFT JOIN s_report_hosxp_opd_vital_sign s on  s.vn_an =w.vn_an  \r\nLEFT JOIN s_report_hosxp_ovst_diag xo on xo.vn=w.vn_an \r\nLEFT JOIN s_report_hosxp_ipt_diag xi on xi.an=w.vn_an  \r\nLEFT JOIN sys_map_clinic sc on sc.spclty=s.spclty\r\nLEFT JOIN sys_icd101_ca ca on ca.`code`=w.pdx  \r\nLEFT JOIN s_sys_eclaim_adp e on e.fund_sub_id=f.fund_sub_id and e.vn_an=fn.vn_an\r\n\r\nWHERE  f.fund_sub_id=@fid@   and f.eclaim_16_adp=\"Y\" and w.date_www_cal=@datewww@  and (( ( w.tran_id=\"-\" or (w.tran_id<>\"-\" and w.status_code not in (\"4\",\"V\") ) ) and e.vn_an is not null) or e.vn_an is null)\r\n	AND ( CASE WHEN f.fee_schedule_setting_chk=\"Y\" THEN cl.fund_sub_id is not null ELSE TRUE END )\r\n	AND    ( CASE\r\n			WHEN  cl.chk_pttype=\"Y\" THEN  ( cl.chk_pttype_list LIKE o.pttype_chk ) \r\n			ELSE  TRUE END  \r\n		  )\r\n      and \r\n	   ( CASE\r\n			WHEN cl.chk_icd10=\"Y\" THEN ( cl.chk_icd10_list LIKE  xo.icd10_list ) or ( cl.chk_icd10_list LIKE  xi.icd10_list )\r\n			ELSE  TRUE  END   \r\n	   )  \r\n		 \r\nGROUP BY f.fund_sub_id, \r\nfn.vn_an,\r\no.hos_guid\r\n) cc\r\nGROUP BY\r\ncc.fund_sub_id,\r\ncc.vn_an,\r\ncc.CODE ' WHERE `fund_sub_id` = 163;


INSERT IGNORE INTO  `sys_ehos_version` (`type`, `www_db_name`, `www_patch_from`, `www_patch_to`, `db_sql`, `version`, `date_version`, `detail`, `status`, `hos_program`, `dupdate`) VALUES ('sql_restore', 'ehos_db', 'http://www.ehosonline.com/center_eclaim_report_update/EHA/2ZE8HSW7AUNKXDV-sqlupdate_15032566.tar', '/var/www/html/eha', '  ', 'V.DB.66.3.15', '660315115800', '<li>แก้ปัญหาประมวลผลไม่ผ่าน</li><li><a href=\'http://www.ehosonline.com/center_eclaim_report_update/EHA/2ZE8HSW7AUNKXDV-sqlupdate_15032566.tar\'>http://www.ehosonline.com/center_eclaim_report_update/EHA/2ZE8HSW7AUNKXDV-sqlupdate_15032566.tar</a></li>', 'Y', 'Manual', '2023-03-14 21:36:52');


SET FOREIGN_KEY_CHECKS = 1;
